This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 717204 - CVE-2011-2511 libvirt: integer overflow in VirDomainGetVcpus [fedora-all]
CVE-2011-2511 libvirt: integer overflow in VirDomainGetVcpus [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-2511
  Show dependency treegraph
 
Reported: 2011-06-28 07:27 EDT by Petr Matousek
Modified: 2011-07-22 15:33 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.8.8-7.fc15
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 00:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2011-06-28 07:27:07 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=717199

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Eric Blake 2011-06-28 09:58:36 EDT
Fixed by this upstream patch:

commit 774b21c163845170c9ffa873f5720d318812eaf6
Author: Eric Blake <eblake@redhat.com>
Date:   Fri Jun 24 12:16:05 2011 -0600

    remote: protect against integer overflow
    
    Integer overflow and remote code are never a nice mix.
    
    This has existed since commit 56cd414.
    
    * src/libvirt.c (virDomainGetVcpus): Reject overflow up front.
    * src/remote/remote_driver.c (remoteDomainGetVcpus): Avoid overflow
    on sending rpc.
    * daemon/remote.c (remoteDispatchDomainGetVcpus): Avoid overflow on
    receiving rpc.

F14 and F15 can instead use this backport, to avoid having to update gnulib:
http://post-office.corp.redhat.com/archives/rhvirt-patches/2011-June/msg00624.html

Rawhide will pick up the fix by rebasing to 0.9.3.
Comment 2 Fedora Update System 2011-07-06 11:57:12 EDT
libvirt-0.8.8-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libvirt-0.8.8-7.fc15
Comment 3 Fedora Update System 2011-07-06 12:00:18 EDT
libvirt-0.8.3-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libvirt-0.8.3-10.fc14
Comment 4 Fedora Update System 2011-07-06 17:31:39 EDT
Package libvirt-0.8.8-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.8.8-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libvirt-0.8.8-7.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-07-12 00:59:28 EDT
libvirt-0.8.8-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-07-22 15:33:57 EDT
libvirt-0.8.3-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.